---
title: NDEFMessage
slug: Web/API/NDEFMessage
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>NDEFMessage</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_NFC_API">Web NFC API</a> is an abstract interface that represents message that can be received or sent to a to compatible NFC devices, e.g. NFC tags supporting NDEF.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{DOMxRef("NDEFMessage.NDEFMessage", "NDEFMessage.NDEFMessage()")}} {{Experimental_Inline}}</dt>
 <dd>Returns a new <code>NDEFMessage</code> containing specified data.</dd>
</dl>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt>{{DOMxRef("NDEFMessage.records")}} {{Experimental_Inline}} {{ReadOnlyInline}}</dt>
 <dd>Represents a list of NDEF records defining the NDEF message.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefmessage">Web NFC, NDEFMessage</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFMessage")}}</p>
